public class VarargsSample3 {
    public String format(String pattern, int... x) {
        StringBuffer buffer = new StringBuffer();

        for (int i = 0, j = 0; i < pattern.length() && j < x.length; i++) {
            char c = pattern.charAt(i);
            if (c == '%') {
                buffer.append(x[j]);
                j++;
            } else {
                buffer.append(c);
            }
        }

        return buffer.toString();
    }

    public static void main(String[] args) {
        VarargsSample3 sample = new VarargsSample3();
        System.out.println(sample.format("% is less than %.", 5, 6));
        System.out.println(sample.format("% >= %",
                                         new Integer(10), new Integer(2)));
    }
}
